Package be.fgov.ehealth.certra.protocol.v2

# Class GetCertificateRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.certra.protocol.v2.GetCertificateRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetCertificateRequest extends RequestType implements Serializable
Request type used to obtain the eHealth authentication certificate by its identifier. This operation will only return the certificate once it has been delivered by the Certificate Authority.

Java class for GetCertificateRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetCertificateRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="PublicKeyIdentifier" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetCertificateRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getPublicKeyIdentifier()`
  The public key identifier hash value that identifies the public key for which you want to retrieve the certificate.
  `void`
  `setPublicKeyIdentifier(byte[] value)`
  Sets the value of the publicKeyIdentifier property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetCertificateRequest

    public GetCertificateRequest()

- ## Method Details

  - ### getPublicKeyIdentifier

    public byte[] getPublicKeyIdentifier()
    The public key identifier hash value that identifies the public key for which you want to retrieve the certificate. This value can be calculated based on the public key (see definition of the type on how to do this) or you can use the return value of the generateCertificate operation.
    Returns:
      possible object is `String`

  - ### setPublicKeyIdentifier

    public void setPublicKeyIdentifier(byte[] value)
    Sets the value of the publicKeyIdentifier property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPublicKeyIdentifier()`